<Container class="icon-container" @value={{@options}} @deviceSize={{@deviceSize}} ...attributes>
  {{#if (and (not this.hasFailedIcon) (not this.isLoading) this.hasIcon)}}
    {{#if this.link}}
      <Link @to={{this.link}} @query={{this.query}} @variables={{this.variables}} @space={{@space}}>
        <img
          src={{this.image.value}}
          {{did-insert this.setupTooltip}}
          {{will-destroy this.destroyTooltip}}
          class="icon"
          data-placement="bottom"
          title={{this.name}}
          alt={{this.name}}
        />
      </Link>
    {{else if @showLinks}}
      <LinkTo @route="browse.sites.index" @query={{hash icon=@src.id}}>
        <img
          src={{this.image.value}}
          {{did-insert this.setupTooltip}}
          {{will-destroy this.destroyTooltip}}
          class="icon"
          data-placement="bottom"
          title={{this.name}}
          alt={{this.name}}
        />
      </LinkTo>
    {{else}}
      <img
        {{did-insert this.setupTooltip}}
        {{will-destroy this.destroyTooltip}}
        src={{this.image.value}}
        class="icon"
        data-placement="bottom"
        title={{this.resolvedIcon.localName}}
        alt={{this.resolvedIcon.localName}}
      />
    {{/if}}
  {{/if}}

  {{#if this.isError}}
    <span class="text-danger">
      <FaIcon @icon="question-circle" />
    </span>
  {{/if}}

  <div class="d-none" {{did-insert this.setup}} {{did-update this.setup @src}}></div>

  {{#if this.isLoading}}
    <div class="spinner-grow text-secondary loading-icon" role="status">
      <span class="sr-only">Loading...</span>
    </div>
  {{/if}}
</Container>